WABT(1)

NAME
wasm-validate - validate a file in the WebAssembly binary format

SYNOPSIS
wasm-validate [options] file

DESCRIPTION
wasm-validate reads a file in the WebAssembly binary format and validates it.

The options are as follows:

-v, - -verbose
    Use multiple times for more info

- -help
    Print this help message

- -enable-exceptions
    Enable Experimental exception handling

- -disable-mutable-globals
    Disable Import/export mutable globals

- -enable-saturating-float-to-int
    Enable Saturating float-to-int operators

- -enable-sign-extension
    Enable Sign-extension operators

- -enable-simd
    Enable SIMD support

- -enable-threads
    Enable Threading support

- -enable-multi-value
    Enable Multi-value

- -enable-tail-call
    Enable Tail-call support

- -no-debug-names
    Ignore debug names in the binary file

- -ignore-custom-section-errors
    Ignore errors in custom sections

EXAMPLES
Validate binary file test.wasm

    $ wasm-validate test.wasm

SEE ALSO
wasm-interp(1), wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm2c(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.